Install pysqlcipher with pip.
authorIvan Alejandro <ivanalejandro0@gmail.com>
Thu, 29 Jan 2015 21:29:16 +0000 (18:29 -0300)
committerIvan Alejandro <ivanalejandro0@gmail.com>
Thu, 29 Jan 2015 21:29:16 +0000 (18:29 -0300)
Using `python setup.py develop` causes a libc version compatibility
issue.

createbundle.sh

index 9cf5b7a..511eb87 100755 (executable)
@@ -165,6 +165,7 @@ setup_bundler() {
     # HACK: install these dependencies manually since they can't be installed normally due not passing some pip checks.
     pip install --upgrade pip
     pip install --allow-external u1db --allow-unverified u1db --allow-external dirspec --allow-unverified dirspec u1db dirspec
+    pip install pysqlcipher
 
     # HACK: this is needed so tuf can verify the downloaded data, if we add
     # this to the requirements.pip pycrypto is installed as an egg and the